-- 用户相关协议 2000~2099

local proto_struct =
    [[
    # 掉落信息
    .DataBoxDrop {
        playerInfo 0: DataUserBaseInfo  # 玩家信息
        itemId 1: integer               # 掉落物品
        count 2: integer                # 掉落物品数量
        time 3: integer                 # 掉落时间戳
    }
    # 箱子信息
    .DataBox {
        id 0: integer                   # 物品ID
        dropList 1: *DataBoxDrop        # 掉落列表
    }
]]

local proto_c2s =
    [[
    # 盲盒信息
    box_blind_get_info 2500 {
        request {
            id 0: integer               # 指定箱子id 空：所有箱子
        }
        response {
            code 0: integer
            boxInfoList 1: *DataBox     # 箱子信息列表
        }
    }

    # 开盲盒
    box_blind_open 2501 {
        request {
            id 0: integer               # 箱子id
            count 1: integer            # 数量 空:默认1
        }
        response {
            code 0: integer
            items 1: *DataItem          # 掉落物品列表
            boxInfo 2: DataBox          # 箱子信息
        }
    }
]]

local proto_s2c = [[
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
